<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");
if(isset($_REQUEST["from"])) 
	$from=$_REQUEST["from"]; 
else $from=0;
if(isset($_REQUEST["to"])) 
	$to=$_REQUEST["to"]; 
else $to=0;
if(isset($_REQUEST["salesperson"])) 
	$salesperson=$_REQUEST["salesperson"]; 
else $salesperson=0;

$quantitys=[];

function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}
	if( $connNavision ) {
		 //echo "Conexion establecida con Navision.\r\n";
	}else{
		 //echo "Conexion no se pudo establecer con Navision.\r\n";
		 die( print_r( sqlsrv_errors(), true));
	}

	$sql='SELECT c.[No.] as customercode, p.[E-Mail] as salesperson from [ICF].[dbo].[Ind. Campollano Ferreterķa S.L$Customer] c
			LEFT JOIN [ICF].[dbo].[Ind. Campollano Ferreterķa S.L$Salesperson_Purchaser] p ON c.[Salesperson Code] = p.Code ORDER BY c.[No.] ASC;';

		
	$item=[];
	$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt !== false) {
			while($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
				$temp=[];
				foreach($row as $key=>$object){
					$temp_object[$key]=!is_object($object)?utf8_encode($object):$object;						
				}
				
				
					
				$item[]=$temp_object;
			}
		}

	
	$result['result']=1;
	$result['data']=$item;
echo json_encode($result, JSON_PRETTY_PRINT);
?>

